﻿Public Class CalcForm
    Private Number, Total As Single
    Private First As Boolean
    Private Operation As Integer

    Private Sub ClearButton_Click(sender As Object, e As EventArgs) Handles ClearButton.Click
        'Clear answer display
        AnswerText.Text = ""
        Total = 0
    End Sub

    Private Sub OffButton_Click(sender As Object, e As EventArgs) Handles OffButton.Click
        End
    End Sub

    Private Sub OneButton_Click(sender As Object, e As EventArgs) Handles OneButton.Click
        AnswerText.Text = AnswerText.Text & OneButton.Text
    End Sub

    Private Sub TwoButton_Click(sender As Object, e As EventArgs) Handles TwoButton.Click
        AnswerText.Text = AnswerText.Text & TwoButton.Text
    End Sub

    Private Sub ThreeButton_Click(sender As Object, e As EventArgs) Handles ThreeButton.Click
        AnswerText.Text = AnswerText.Text & ThreeButton.Text
    End Sub

    Private Sub FourButton_Click(sender As Object, e As EventArgs) Handles FourButton.Click
        AnswerText.Text = AnswerText.Text & FourButton.Text
    End Sub

    Private Sub FiveButton_Click(sender As Object, e As EventArgs) Handles FiveButton.Click
        AnswerText.Text = AnswerText.Text & FiveButton.Text
    End Sub

    Private Sub SixButton_Click(sender As Object, e As EventArgs) Handles SixButton.Click
        AnswerText.Text = AnswerText.Text & SixButton.Text
    End Sub

    Private Sub SevenButton_Click(sender As Object, e As EventArgs) Handles SevenButton.Click
        AnswerText.Text = AnswerText.Text & SevenButton.Text
    End Sub

    Private Sub EightButton_Click(sender As Object, e As EventArgs) Handles EightButton.Click
        AnswerText.Text = AnswerText.Text & EightButton.Text
    End Sub

    Private Sub NineButton_Click(sender As Object, e As EventArgs) Handles NineButton.Click
        AnswerText.Text = AnswerText.Text & NineButton.Text
    End Sub

    Private Sub ZeroButton_Click(sender As Object, e As EventArgs) Handles ZeroButton.Click
        AnswerText.Text = AnswerText.Text & ZeroButton.Text
    End Sub

    Private Sub DecimalButton_Click(sender As Object, e As EventArgs) Handles DecimalButton.Click
        AnswerText.Text = AnswerText.Text & DecimalButton.Text
    End Sub

    Private Sub CalcForm_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'Initiate flag for first number entered
        First = True
    End Sub

    Private Sub Calc(ByVal Op)
        'Carry out calculation operation
        Number = Val(AnswerText.Text)   ' Get number user inputs
        If First = True Then
            Total = Number  ' Store first value entered
            First = False
        Else
            Select Case Op  ' Carry out calculation
                Case 1
                    Total = Total + Number
                Case 2
                    Total = Total - Number
                Case 3
                    Total = Total * Number
                Case 4
                    Total = Total / Number
            End Select
        End If
        AnswerText.Text = ""    ' Clear display ready for next input
    End Sub

    Private Sub PlusButton_Click(sender As Object, e As EventArgs) Handles PlusButton.Click
        Operation = 1
        Calc(Operation)
    End Sub

    Private Sub MinusButton_Click(sender As Object, e As EventArgs) Handles MinusButton.Click
        Operation = 2
        Calc(Operation)
    End Sub

    Private Sub TimesButton_Click(sender As Object, e As EventArgs) Handles TimesButton.Click
        Operation = 3
        Calc(Operation)
    End Sub

    Private Sub DivideButton_Click(sender As Object, e As EventArgs) Handles DivideButton.Click
        Operation = 4
        Calc(Operation)
    End Sub

    Private Sub EqualsButton_Click(sender As Object, e As EventArgs) Handles EqualsButton.Click
        'Carry out equals operation
        Calc(Operation)
        AnswerText.Text = Total
        First = True     'Reset first value flag
    End Sub
End Class
