﻿Imports System.IO

Public Class BankingForm
    Private Bal As Single

    Private Sub ExitButton_Click(sender As Object, e As EventArgs) Handles ExitButton.Click
        'Exit from banking transactions
        Dim AcctFile As StreamWriter
        Dim J As Integer

        'Write customer information back to disc in three phases
        'Phase 1
        AcctFile = New StreamWriter("F:\VBX\Project 20\account.dat")
        For J = 1 To (VerifyForm.Cust - 1)
            With VerifyForm.Account(J)
                AcctFile.WriteLine(.Surname)
                AcctFile.WriteLine(.PIN)
                AcctFile.WriteLine(.Balance)
            End With
        Next J
        AcctFile.Close()

        'Phase 2
        AcctFile = New StreamWriter("F:\VBX\Project 20\account.dat")
        With VerifyForm.Account(VerifyForm.Cust)
            AcctFile.WriteLine(.Surname)
            AcctFile.WriteLine(.PIN)
            AcctFile.WriteLine(.Balance)
        End With
        AcctFile.Close()

        'Phase 3
        AcctFile = New StreamWriter("F:\VBX\Project 20\account.dat")
        For J = (VerifyForm.Cust + 1) To 10
            With VerifyForm.Account(J)
                AcctFile.WriteLine(.Surname)
                AcctFile.WriteLine(.PIN)
                AcctFile.WriteLine(.Balance)
            End With
        Next J
        AcctFile.Close()

        'Close banking form and move to exit screen
        Me.Hide()
        MainForm.MessageLabel.Text = "Conclude banking"
        MainForm.ExitButton.Show()
    End Sub

    Private Sub BankingForm_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'Use a dummy variable to hold account balance
        Bal = VerifyForm.Account(VerifyForm.Cust).Balance
    End Sub

    Private Sub BalanceButton_Click(sender As Object, e As EventArgs) Handles BalanceButton.Click
        'Display account balance
        MsgBox("The current account balance is " & Format(Bal, "$#,##0.00"), vbInformation)
    End Sub

    Private Sub DepositButton_Click(sender As Object, e As EventArgs) Handles DepositButton.Click
        'Add customer deposit to account
        Dim Amount As Single
        Amount = -1

        Do While Amount < 0       'Reject negative input
            Amount = Val(InputBox("Enter amount to deposit", "Deposit", "$0.00"))
            Bal = Bal + Amount
        Loop
    End Sub

    Private Sub WithdrawalButton_Click(sender As Object, e As EventArgs) Handles WithdrawalButton.Click
        'Withdraw money from the customer account
        Dim Amount As Single
        Amount = -1

        Do While (Amount < 0) Or (Amount > 501)     'Validate amount entered
            Amount = InputBox("Enter amount to withdraw", "Withdrawal", "$0.00")
            If Amount > Bal Then
                MsgBox("Amount greater than balance of account", vbExclamation)
            Else
                Bal = Bal - Amount
            End If
        Loop
    End Sub
End Class