﻿Imports System.IO

Public Class VerifyForm
    Public Structure Customer
        Dim Surname As String
        Dim PIN As Integer
        Dim Balance As Single
    End Structure

    Public Account(10) As Customer
    Public Cust As Integer


    Private Sub BankingButton_Click(sender As Object, e As EventArgs) Handles BankingButton.Click
        'Verify user has a valid account
        Dim Attempt, J, PINTry As Integer
        Dim NameTry As String
        Dim Cont As Boolean
        BankingButton.Hide()
        Attempt = 0
        Cont = False

        'Compare user input to data read from disc
        Do While Attempt < 3 And Not Cont     'Three attempts
            Attempt = Attempt + 1
            NameTry = InputBox("Enter your user name", "User name", "")
            PINTry = InputBox("Enter your PIN", "PIN", "****")
            For J = 1 To 10
                If Account(J).Surname = NameTry And Account(J).PIN = PINTry Then
                    Cont = True
                    Cust = J    'Store which account found
                End If
            Next J
        Loop

        If Cont Then
            'Valid user - move to banking screen
            Me.Hide()
            BankingForm.Show()
        Else
            'Invalid user close and move to exit screen
            MsgBox("incorrect user name or PIN entered")
            Me.Hide()
            MainForm.MessageLabel.Text = ("Conclude banking")
            MainForm.ExitButton.Show()
        End If
    End Sub

    Private Sub VerifyForm_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'Read account data from disc
        Dim AcctFile As StreamReader
        Dim J As Integer
        AcctFile = New StreamReader("F:\VBX\Project 20\account.dat")

        For J = 1 To 10
            With Account(J)
                .Surname = AcctFile.ReadLine
                .PIN = AcctFile.ReadLine
                .Balance = AcctFile.ReadLine
            End With
        Next J

        AcctFile.Close()
    End Sub
End Class