﻿Public Class DataForm
    Private Structure Student
        Dim FirstName, Surname As String
        Dim IdNumb As Integer
        Dim Average As Single
    End Structure

    Private Structure Result
        Dim Maths, English, Science As Integer
    End Structure

    Private Data(4) As Student
    Private Score(4) As Result
    Dim Numb As Integer

    Private Sub ExitButton_Click(sender As Object, e As EventArgs) Handles ExitButton.Click
        End
    End Sub

    Private Sub StartButton_Click(sender As Object, e As EventArgs) Handles StartButton.Click
        'Enter score for four students
        Dim Count As Integer
        StartButton.Visible = False

        For Count = 1 To 4
            With Data(Count)
                .FirstName = InputBox("Enter first name", "Student" & Count)
                .Surname = InputBox("Enter surname", "Student" & Count)
                .IdNumb = InputBox("Enter ID number", "Student" & Count)
            End With
        Next Count

        ScoreButton.Visible = True
    End Sub

    Private Sub ScoreButton_Click(sender As Object, e As EventArgs) Handles ScoreButton.Click
        'Enter student subject scores
        Dim Count As Integer
        Dim FullName As String
        ScoreButton.Visible = False

        For Count = 1 To 4
            FullName = Data(Count).FirstName & " " & Data(Count).Surname
            With Score(Count)
                .Maths = InputBox("Enter Maths score for " & FullName)
                .English = InputBox("Enter English score for " & FullName)
                .Science = InputBox("Enter Science score for " & FullName)
            End With
        Next Count

        CalcButton.Visible = True
    End Sub

    Private Sub CalcButton_Click(sender As Object, e As EventArgs) Handles CalcButton.Click
        'Determine average mark for each student
        Dim Count As Integer
        Dim Total As Single
        CalcButton.Visible = False

        For Count = 1 To 4
            Total = 0
            With Score(Count)
                Total = .Maths + .English + .Science
                Data(Count).Average = Total / 3
            End With
        Next Count

        DisplayButton.Visible = True
        Numb = 1
        SaveButton.Visible = True
    End Sub

    Private Sub DisplayButton_Click(sender As Object, e As EventArgs) Handles DisplayButton.Click
        'Display next student name and average mark
        DisplayText.Visible = True
        DisplayText.Text = "Surname: " & Data(Numb).Surname & " Average: " & Data(Numb).Average
        Numb = Numb + 1
        If Numb = 5 Then
            Numb = 1
        End If
    End Sub

    Private Sub SaveButton_Click(sender As Object, e As EventArgs) Handles SaveButton.Click
        'Save data to disc
        Dim StudentData As StreamWriter
        Dim J As Integer
        StudentData = New StreamWriter("F:\VBX\Project 19\student.dat")
        For J = 1 To 4
            With Data(J)
                StudentData.WriteLine(.IdNumb)
                StudentData.WriteLine(.Surname)
                StudentData.WriteLine(.FirstName)
            End With
            With Score(J)
                StudentData.WriteLine(.Maths)
                StudentData.WriteLine(.English)
                StudentData.WriteLine(.Science)
            End With
            With Data(J)
                StudentData.WriteLine(.Average)
            End With
        Next J
        StudentData.Close()
    End Sub
End Class
